/*
 *	Army Table
 */
extern unsigned char ArmyData1[];
extern unsigned char ArmyData2[];
extern unsigned char ArmyData3[];

/*
 *	Shield Table
 */
extern unsigned char ShieldTable[];

struct shield_block
{
	unsigned char *data;
	unsigned char width, depth;
};

struct shield_block ShieldBlock[];

unsigned char ShieldBuild[];

/*
 *	Map Table 
 */
extern char MainMap[];

/* 
 *	Terrain Images
 */
extern unsigned char *TerrainImages[];

/*
 *	Font
 */
extern unsigned char FontData[];

/*
 *	Tokens
 */
 
extern unsigned char TokenData[];

/*
 *	People
 */

extern unsigned char CharTable[];

/*
 *	People Graphic Construction Table
 */
 
struct character_map
{
	int width;
	int depth;
	unsigned char *data;
	unsigned char *attr;
};
	
extern struct character_map CharMap[];

/*
 *	People bitmap data
 */
 
extern unsigned char CharFont[];

/*
 *	Races
 */
 
#define DOOMDARK	0x00
#define FREE		0x01
#define FEY		0x02
#define TARG		0x03
#define WISE		0x04
#define MORKIN		0x05
#define SKULKRIN1	0x06
#define DRAGON		0x07

/*
 *	Places
 */
 
#define MOUNTAIN	0x00
#define CITADEL		0x01
#define FOREST		0x02
#define HENGE		0x03
#define TOWER		0x04
#define VILLAGE		0x05
#define DOWNS		0x06
#define KEEP		0x07
#define SNOWHALL	0x08
#define LAKE		0x09
#define FROZENWASTE	0x0A
#define RUIN		0x0B
#define LITH		0x0C
#define CAVERN		0x0D
#define ARMY		0x0E
#define PLAINS		0x0F

/*
 *	Objects
 */
 
#define NOOBJECTATALL	0x00
#define WOLVES		0x01
#define DRAGONS		0x02
#define ICETROLLS	0x03
#define SKULKRIN	0x04
#define WILDHORSES	0x05
#define SHELTER		0x06
#define GUIDANCE	0x07
#define SHADOWSOFDEATH	0x08
#define WATERSOFLINE	0x09
#define HANDOFDARK	0x0A
#define CUPOFDREAMS	0x0B
#define WOLFSLAYER	0x0C
#define DRAGONSLAYER	0x0D
#define ICECROWN	0x0E
#define MOONRING	0x0F
#define FAWKRIN		0x10
#define FARFLAME	0x11
#define LOGRIM		0x12
#define LAKEMIRROW	0x13

